include(FetchContent)

if(NOT DEFINED MOODY_CONCURRENTQUEUE_REPO)
    set(MOODY_CONCURRENTQUEUE_REPO https://github.com/cameron314/concurrentqueue.git)
endif ()

FetchContent_Declare(
        moodycamel_concurrentqueue
        EXCLUDE_FROM_ALL
        GIT_REPOSITORY ${MOODY_CONCURRENTQUEUE_REPO}
        GIT_TAG v1.0.4
        GIT_SHALLOW TRUE
)
FetchContent_MakeAvailable(moodycamel_concurrentqueue)

